Subject: bug#43986: core-updates' grep and coreutils fail strerror_r and perror2 tests in gnulib-tests on armhf-on-aarch64

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 21 Oct 2020 18:04:16 +0200

and sed, while trying to prepare the guix environment for grep.

and gettext-minimal 0.21, while trying to prepare the guix environment for grep.

Happens both with this: guix environment -s armhf-linux --pure grep
And with this: guix environment -s armhf-linux --pure -e '(@@ (gnu packages commencement) grep-final)'
That's BEFORE successfully entering the environment.

After fixing all of those, I'm finally in a guix environment for grep.

To be clear, for each of my messages in this bug report, I've made sure to try
it on unmodified core-updates--and it totally fails there, too.

I've not updated from core-updates origin since a few days ago since I don't
want to build all the derivations again.  So Ludo's update of grep to 3.5
I have not seen yet (it's grep 3.4 right now).